Name:           python-utilix
Version:        0.11.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        User-friendly interface to various utilities for XENON users

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/XENONnT/utilix
Source:         %{pypi_source utilix}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'utilix' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-utilix
Summary:        %{summary}

%description -n python3-utilix %_description


%prep
%autosetup -p1 -n utilix-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-utilix -f %{pyproject_files}


%changelog
%autochangelog